package com.red.circle.other.app.inner.service.user.user;

import com.red.circle.other.inner.model.dto.user.UserOneTimeTaskDTO;
import java.math.BigDecimal;

/**
 * 用户只可触发一次的任务
 *
 * @author zongpubin on 2023/8/14
 */
public interface UserOneTimeTaskClientService {

  UserOneTimeTaskDTO queryCompletedFirstCharge(Long userId, String sysOrigin);

  void firstChargeStatusChangeReceive(Long userId, String sysOrigin, BigDecimal rewardQuantity);

  /**
   * 标记任务已完成
   *
   * @param userId    用户ID
   * @param sysOrigin 系统
   */
  void completedFirstCharge(Long userId, String sysOrigin);


}
